package com.gprinter.utils;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorMatrix;
import android.graphics.ColorMatrixColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import java.util.Arrays;

/* loaded from: com_gprinter_utils.jar:com/gprinter/utils/DotCommandUtil.class */
public class DotCommandUtil {
    public static byte[] a(Bitmap var0, boolean var1) {
        return a(var0, var1, true);
    }

    public static byte[] a(Bitmap var0, boolean var1, boolean var2) {
        int var13 = (int) Math.ceil(var0.getWidth() / 8.0d);
        byte[] var12 = new byte[var13 * var0.getHeight()];
        int var3 = 0;
        int var4 = var0.getHeight();
        int var5 = var0.getWidth();
        int[] var6 = b(var0, var1);
        for (int var7 = 0; var7 < var4; var7++) {
            for (int var8 = 0; var8 < var13; var8++) {
                for (int var9 = 0; var9 < 8; var9++) {
                    int var10 = (var8 * 8) + var9;
                    if (var10 < var5) {
                        int var14 = var6[(var7 * var5) + var10];
                        int var102 = (var6[(var7 * var5) + var10] >> 16) & 255;
                        int var11 = (var14 >> 8) & 255;
                        if (((int) ((var102 * 0.3f) + (var11 * 0.59f) + ((var14 & 255) * 0.11f))) < 128) {
                            if (var2) {
                                var12[var3] = (byte) ((var12[var3] << 1) | 1);
                            } else {
                                var12[var3] = (byte) ((var12[var3] << 1) & 254);
                            }
                        } else if (var2) {
                            var12[var3] = (byte) ((var12[var3] << 1) & 254);
                        } else {
                            var12[var3] = (byte) ((var12[var3] << 1) | 1);
                        }
                    }
                }
                var3++;
            }
        }
        return var12;
    }

    public static Bitmap a(Bitmap var0, int var1, int var2, boolean var3) {
        Bitmap var02;
        if (var0 == null) {
            return null;
        }
        if (var0.getWidth() == var1 && var0.getHeight() == var2) {
            return var0;
        }
        if (var1 >= 1 && var2 >= 1) {
            if (var3) {
                float var6 = var1 / var0.getWidth();
                float var4 = var2 / var0.getHeight();
                Matrix var10003 = new Matrix();
                var10003.postScale(var6, var4);
                int var5 = var0.getWidth();
                var02 = Bitmap.createBitmap(var0, 0, 0, var5, var0.getHeight(), var10003, true);
            } else {
                Bitmap var7 = Bitmap.createBitmap(var1, var2, var0.getConfig());
                Canvas var9 = new Canvas(var7);
                var9.drawColor(-1);
                var9.drawBitmap(var0, 0.0f, 0.0f, (Paint) null);
                var02 = var7;
            }
            return var02;
        }
        throw new IllegalArgumentException("Bitmap output width and height must greater than 1");
    }

    public static int[] b(Bitmap var0, boolean var1) {
        int var7;
        Bitmap var10001 = a(var0);
        int var10 = var10001.getWidth();
        int var9 = var10001.getHeight();
        int var2 = var10 * var9;
        int[] var3 = new int[var2];
        var10001.getPixels(var3, 0, var10, 0, 0, var10, var9);
        if (var1) {
            int[] var11 = Arrays.copyOf(var3, var2);
            for (int var4 = 0; var4 < var11.length; var4++) {
                var11[var4] = (var11[var4] >> 16) & 255;
            }
            for (int var42 = 0; var42 < var9; var42++) {
                for (int var5 = 0; var5 < var10; var5++) {
                    int var6 = (var10 * var42) + var5;
                    int var72 = var11[var6] & 255;
                    if (var72 >= 128) {
                        var3[var6] = -1;
                        var7 = var72 - 255;
                    } else {
                        var3[var6] = -16777216;
                        var7 = var72 + 0;
                    }
                    int var8 = var10 - 1;
                    if (var5 < var8 && var42 < var9 - 1) {
                        int var62 = var6 + 1;
                        var11[var6] = var11[var62] + ((var7 * 7) / 16);
                        int var63 = (var10 * (var42 + 1)) + var5;
                        var11[var62] = var11[var63] + ((var7 * 5) / 16);
                        var11[var8] = var11[var63 + 1] + (var7 / 16);
                        if (var5 > 0) {
                            var11[var63] = var11[var63 - 1] + ((var7 * 3) / 16);
                        }
                    } else if (var5 == var8 && var42 < var9 - 1) {
                        var11[var6] = var11[(var10 * (var42 + 1)) + var5] + ((var7 * 5) / 16);
                    } else if (var5 < var8 && var42 == var9 - 1) {
                        var11[var6] = var11[var6 + 1] + ((var7 * 7) / 16);
                    }
                }
            }
        } else {
            for (int var92 = 0; var92 < var2; var92++) {
                int var102 = (var3[var92] >> 16) & 255;
                int var43 = (var3[var92] >> 8) & 255;
                if (((int) ((var102 * 0.3f) + (var43 * 0.59f) + ((var3[var92] & 255) * 0.11f))) >= 128) {
                    var3[var92] = -1;
                } else {
                    var3[var92] = -16777216;
                }
            }
        }
        return var3;
    }

    public static Bitmap a(Bitmap var0) {
        int var1 = var0.getHeight();
        Bitmap var10000 = Bitmap.createBitmap(var0.getWidth(), var1, Bitmap.Config.RGB_565);
        Canvas var10001 = new Canvas(var10000);
        var10001.drawColor(-1);
        Paint var10003 = new Paint();
        ColorMatrix var10004 = new ColorMatrix();
        var10004.setSaturation(0.0f);
        var10003.setColorFilter(new ColorMatrixColorFilter(var10004));
        var10001.drawBitmap(var0, 0.0f, 0.0f, var10003);
        return var10000;
    }
}
